#
# $Id$
#
%define DBVer	1.76.1

Summary:	Debian apt tools for %_real_vendor
Name:		apt-mga
Version:	0.8.9
Release:	%mkrel 2
License:	GPL
Group:		System/Configuration/Packaging
Url:		http://ftp.de.debian.org/debian/pool/main/a/apt/
Source:		http://ftp.de.debian.org/debian/pool/main/a/apt/apt_%{version}.tar.gz
Patch0:         apt_0.8.9-fix-build.patch

Requires:	bzip2
Requires:       gnupg

BuildRequires:	libtool-base
BuildRequires:  docbook-style-xsl
BuildRequires:  libcurl-devel
BuildRequires:  dpkg
BuildRequires:  doxygen
BuildRequires:  xsltproc

Conflicts:	apt 

%description
Provides tools useful to manage a Debian repository on a %_real_vendor distribution (apt-ftparchive e.g.)

%files
%doc README.*
%{_mandir}/man8/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_libdir}/lib*
%{_bindir}/*

#--------------------------------------------------------------------

%package devel
Summary:        Debian apt tools for %_real_vendor - devel
Group:			System/Configuration/Packaging

%description -n %{name}-devel
Developement files for %{name}.


%files -n %{name}-devel
%{_includedir}/apt-pkg

#--------------------------------------------------------------------

%prep
%setup -q -n apt-%{version}
%patch0 -p0

%build
# Wrong links upstream
ln -sf /usr/share/libtool/config/config.guess buildlib/
ln -sf /usr/share/libtool/config/config.sub buildlib
# As no DebianDoc is available yet, remove xml doc build
perl -pi -e 's/^\[type: docbook\]/#[type: docbook]/' doc/po4a.conf
perl -pi -e 's/^\[type: sgml\]/#[type: sgml]/' doc/po4a.conf
perl -pi -e 's|/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl|/usr/share/sgml/docbook/xsl-stylesheets-%{DBVer}/manpages/docbook.xsl|' doc/manpage-style.xsl
mkdir -p  build/doc/doxygen
./configure
%make

%install
mkdir -p  $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_mandir}/man8 $RPM_BUILD_ROOT%{_mandir}/man1 $RPM_BUILD_ROOT%{_mandir}/man5 $RPM_BUILD_ROOT%{_includedir}
cp -a bin/apt-* $RPM_BUILD_ROOT%{_bindir}
cp -a bin/lib* $RPM_BUILD_ROOT%{_libdir}
cp -a doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
cp -a doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a doc/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
cp -a include/apt-pkg $RPM_BUILD_ROOT%{_includedir}



%changelog

* Fri Mar 02 2012 malo <malo> 0.8.9-2.mga2
+ Revision: 216829
- fix summary and description (mga#4422)

* Tue Dec 13 2011 dmorgan <dmorgan> 0.8.9-1.mga2
+ Revision: 181128
- Remove mandriva occcurencies

  + bcornec <bcornec>
    - Upload apt-mga from apt-mdv in Mandriva
    - Created package structure for apt-mga.

